$( document ).ready(function() {
  $('.select2').select2({
    minimumResultsForSearch: 10
  });
  $('#xConsulta').on("change", function (e) { $('#btnVerResultado').hide(); });
  $('.consultasmenu').select2({
    dropdownCssClass: 'bigdrop', 
    minimumResultsForSearch: 11
  });
  $('.consultasmenu').select2({
    dropdownCssClass: 'bigdrop', 
    minimumResultsForSearch: 11
  });

  //if ($('#xAtajo').val() != -1) {
  //  alert('es hora de cargar los favoritos');
  //}
  //else {
    $('#conteFiltro').show();
    $('#conteResultado').hide();
  //}

});

function doConsultar() {
  switch ($('#xConsulta').val()) {
    case '1':
      estaVentasProductosPeriodos();
    break;
    case '2':
      estaVentasProductosLocales();
    break;
    case '3':
      estaVentasLocalesPeriodos();
    break;
    case '4':
      estaVentasLocalesComprobantes();
    break;
    case '5':
      estaVentasTotalesDiariosLocal();
    break;
    case '6':
      consVentasComprobantesFecha();
    break;
    case '7':
      consVentasComprobantesDetalladosFecha();
    break;
    case '8':
      consVentasComprobantesLocal();
    break;
    case '9':
      consVentasComprobantesDetalladosLocal();
    break;
    default:
      $.alert('Seleccione una consulta.');
  }
}

function controlarVentas() {
  if ($("[name=filtroFecha]").length == 0) {
    $.alert('Debe ingresar al menos un per&iacute;odo.');
    return false; 
  }

  if (!$('#ModuloMesasChk').is(':checked') && !$('#ModuloMostradorChk').is(':checked') && !$('#ModuloDeliveryChk').is(':checked')) {
    $.alert('Debe ingresar al menos un m&oacute;dulo.');
    return false; 
  }

  return true;
}

function estaVentasProductosPeriodos() {
  if (controlarVentas()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }

    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#conteGuardar').hide();
    $('#btnVerResultado').hide();
    
    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodos();
    if ($('#ModuloMesasChk').is(':checked')) {
      xModuloMesas = 1; 
    }
    else {
      xModuloMesas = 0;
    }
    if ($('#ModuloMostradorChk').is(':checked')) {
      xModuloMostrador = 1; 
    }  
    else {
      xModuloMostrador = 0;
    }
    if ($('#ModuloDeliveryChk').is(':checked')) {
      xModuloDelivery = 1;  
    }
    else {
      xModuloDelivery = 0;
    }

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-ventas-esta-productos-periodos.php',
      type: 'POST',
      data: {xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosVenta').val()),
             xRubros          : $.trim($('#listaRubrosVenta').val()),
             xComprobantes    : $.trim($('#listaComprobantesVenta').val()),
             xTurno           : $('#xTurno').val(),
             xUnidadMedida    : $('#xUnidadMedida').val(),
             xUnidadMedidaDes : $('#xUnidadMedida option:selected').text(),
             xModuloMesas     : xModuloMesas,
             xModuloMostrador : xModuloMostrador,
             xModuloDelivery  : xModuloDelivery,
         sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
            fixedHeader: false,
            scrollY:'60vh',
            scrollX: true,
            bAutoWidth: true,
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel", },
                          {extend: 'pdfHtml5', text: "PDF", },
                          {extend: 'copyHtml5', text: "Copiar", },
                          {extend: 'print', text: "Imprimir", },
                        ]}
                     ]*/
          });
           

          $("div.tituloresultado").html('<span class="" id="lblTitulo">Productos por Per&iacute;odos</span>');     
          // $('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          // $('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });

          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr); 
        alert(status);
        alert(error);
      }
    })
  }  
}

function estaVentasProductosLocales() {
  if (controlarVentas()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodos();
    if ($('#ModuloMesasChk').is(':checked')) {
      xModuloMesas = 1; 
    }
    else {
      xModuloMesas = 0;
    }
    if ($('#ModuloMostradorChk').is(':checked')) {
      xModuloMostrador = 1; 
    }  
    else {
      xModuloMostrador = 0;
    }
    if ($('#ModuloDeliveryChk').is(':checked')) {
      xModuloDelivery = 1;  
    }
    else {
      xModuloDelivery = 0;
    }

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-ventas-esta-productos-locales.php',
      type: 'POST',
      data: {xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosVenta').val()),
             xRubros          : $.trim($('#listaRubrosVenta').val()),
             xComprobantes    : $.trim($('#listaComprobantesVenta').val()),
             xTurno           : $('#xTurno').val(),
             xUnidadMedida    : $('#xUnidadMedida').val(),
             xUnidadMedidaDes : $('#xUnidadMedida option:selected').text(),
             xModuloMesas     : xModuloMesas,
             xModuloMostrador : xModuloMostrador,
             xModuloDelivery  : xModuloDelivery,
         sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
            fixedHeader: false,
            scrollY:'60vh',
            scrollX: true,
            bAutoWidth: true,
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel", },
                          {extend: 'pdfHtml5', text: "PDF", },
                          {extend: 'copyHtml5', text: "Copiar", },
                          {extend: 'print', text: "Imprimir", },
                        ]}
                     ]*/
          });

          $("div.tituloresultado").html('<span class="" id="lblTitulo">Productos por Unidad de Negocio</span>');     
          // $('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())}); 
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        
          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

function estaVentasLocalesPeriodos() {
  if (controlarVentas()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodos();
    if ($('#ModuloMesasChk').is(':checked')) {
      xModuloMesas = 1; 
    }
    else {
      xModuloMesas = 0;
    }
    if ($('#ModuloMostradorChk').is(':checked')) {
      xModuloMostrador = 1; 
    }  
    else {
      xModuloMostrador = 0;
    }
    if ($('#ModuloDeliveryChk').is(':checked')) {
      xModuloDelivery = 1;  
    }
    else {
      xModuloDelivery = 0;
    }

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-ventas-esta-locales-periodos.php',
      type: 'POST',
      data: {xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosVenta').val()),
             xRubros          : $.trim($('#listaRubrosVenta').val()),
             xComprobantes    : $.trim($('#listaComprobantesVenta').val()),
             xTurno           : $('#xTurno').val(),
             xUnidadMedida    : $('#xUnidadMedida').val(),
             xUnidadMedidaDes : $('#xUnidadMedida option:selected').text(),
             xModuloMesas     : xModuloMesas,
             xModuloMostrador : xModuloMostrador,
             xModuloDelivery  : xModuloDelivery,
         sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
            fixedHeader: false,
            scrollY:'60vh',
            scrollX: true,
            bAutoWidth: true,
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel", },
                          {extend: 'pdfHtml5', text: "PDF", },
                          {extend: 'copyHtml5', text: "Copiar", },
                          {extend: 'print', text: "Imprimir", },
                        ]}
                     ]*/
          });
          $("div.tituloresultado").html('<span class="" id="lblTitulo">Unidades de Negocio por Período</span>');     
          // $('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        
          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

function estaVentasLocalesComprobantes() {
  if (controlarVentas()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodos();
    if ($('#ModuloMesasChk').is(':checked')) {
      xModuloMesas = 1; 
    }
    else {
      xModuloMesas = 0;
    }
    if ($('#ModuloMostradorChk').is(':checked')) {
      xModuloMostrador = 1; 
    }  
    else {
      xModuloMostrador = 0;
    }
    if ($('#ModuloDeliveryChk').is(':checked')) {
      xModuloDelivery = 1;  
    }
    else {
      xModuloDelivery = 0;
    }

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-ventas-esta-locales-comprobantes.php',
      type: 'POST',
      data: {xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosVenta').val()),
             xRubros          : $.trim($('#listaRubrosVenta').val()),
             xComprobantes    : $.trim($('#listaComprobantesVenta').val()),
             xTurno           : $('#xTurno').val(),
             //xUnidadMedida    : $('#xUnidadMedida').val(),
             //xUnidadMedidaDes : $('#xUnidadMedida option:selected').text(),
             xModuloMesas     : xModuloMesas,
             xModuloMostrador : xModuloMostrador,
             xModuloDelivery  : xModuloDelivery,
         sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
            fixedHeader: false,
            scrollY:'60vh',
            scrollX: true,
            bAutoWidth: true,
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel", },
                          {extend: 'pdfHtml5', text: "PDF", },
                          {extend: 'copyHtml5', text: "Copiar", },
                          {extend: 'print', text: "Imprimir", },
                        ]}
                     ]*/
          });
          $("div.tituloresultado").html('<span class="" id="lblTitulo">Unidades de Negocio por Tipo de Comprobante</span>');     
          // $('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        
          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

function estaVentasTotalesDiariosLocal() {
  if (controlarVentas()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodos();
    if ($('#ModuloMesasChk').is(':checked')) {
      xModuloMesas = 1; 
    }
    else {
      xModuloMesas = 0;
    }
    if ($('#ModuloMostradorChk').is(':checked')) {
      xModuloMostrador = 1; 
    }  
    else {
      xModuloMostrador = 0;
    }
    if ($('#ModuloDeliveryChk').is(':checked')) {
      xModuloDelivery = 1;  
    } 
    else {
      xModuloDelivery = 0;
    }

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-ventas-esta-totales-diarios-local.php',
      type: 'POST',
      data: {xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosVenta').val()),
             xRubros          : $.trim($('#listaRubrosVenta').val()),
             xComprobantes    : $.trim($('#listaComprobantesVenta').val()),
             xTurno           : $('#xTurno').val(),
             //xUnidadMedida    : $('#xUnidadMedida').val(),
             //xUnidadMedidaDes : $('#xUnidadMedida option:selected').text(),
             xModuloMesas     : xModuloMesas,
             xModuloMostrador : xModuloMostrador,
             xModuloDelivery  : xModuloDelivery,
         sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
           fixedHeader: false,
            scrollY:'60vh',
            scrollX: true,
            bAutoWidth: true,
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel", },
                          {extend: 'pdfHtml5', text: "PDF", },
                          {extend: 'copyHtml5', text: "Copiar", },
                          {extend: 'print', text: "Imprimir", },
                        ]}
                     ]*/
          });
          $("div.tituloresultado").html('<span class="" id="lblTitulo">Totales Diarios por Unidad de Negocio</span>');     
          // $('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        
          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

consVentasComprobantesFecha
function consVentasComprobantesFecha() {
  if (controlarVentas()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodos();
    if ($('#ModuloMesasChk').is(':checked')) {
      xModuloMesas = 1; 
    }
    else {
      xModuloMesas = 0;
    }
    if ($('#ModuloMostradorChk').is(':checked')) {
      xModuloMostrador = 1; 
    }  
    else {
      xModuloMostrador = 0;
    }
    if ($('#ModuloDeliveryChk').is(':checked')) {
      xModuloDelivery = 1;  
    } 
    else {
      xModuloDelivery = 0;
    }

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-ventas-cons-comprobantes-fecha.php',
      type: 'POST',
      data: {xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosVenta').val()),
             xRubros          : $.trim($('#listaRubrosVenta').val()),
             xComprobantes    : $.trim($('#listaComprobantesVenta').val()),
             xTurno           : $('#xTurno').val(),
             //xUnidadMedida    : $('#xUnidadMedida').val(),
             //xUnidadMedidaDes : $('#xUnidadMedida option:selected').text(),
             xModuloMesas     : xModuloMesas,
             xModuloMostrador : xModuloMostrador,
             xModuloDelivery  : xModuloDelivery,
         sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
            fixedHeader: false,
            scrollY:'60vh',
            scrollX: true,
            bAutoWidth: true,
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel", },
                          {extend: 'pdfHtml5', text: "PDF", },
                          {extend: 'copyHtml5', text: "Copiar", },
                          {extend: 'print', text: "Imprimir", },
                        ]}
                     ]*/
          });
          $("div.tituloresultado").html('<span class="" id="lblTitulo">Comprobantes por Fecha</span>');     
          // $('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        
          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

consVentasComprobantesDetalladosFecha
function consVentasComprobantesDetalladosFecha() {
  if (controlarVentas()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodos();
    if ($('#ModuloMesasChk').is(':checked')) {
      xModuloMesas = 1; 
    }
    else {
      xModuloMesas = 0;
    }
    if ($('#ModuloMostradorChk').is(':checked')) {
      xModuloMostrador = 1; 
    }  
    else {
      xModuloMostrador = 0;
    }
    if ($('#ModuloDeliveryChk').is(':checked')) {
      xModuloDelivery = 1;  
    } 
    else {
      xModuloDelivery = 0;
    }

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-ventas-cons-comprobantes-detallados-fecha.php',
      type: 'POST',
      data: {xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosVenta').val()),
             xRubros          : $.trim($('#listaRubrosVenta').val()),
             xComprobantes    : $.trim($('#listaComprobantesVenta').val()),
             xTurno           : $('#xTurno').val(),
             //xUnidadMedida    : $('#xUnidadMedida').val(),
             //xUnidadMedidaDes : $('#xUnidadMedida option:selected').text(),
             xModuloMesas     : xModuloMesas,
             xModuloMostrador : xModuloMostrador,
             xModuloDelivery  : xModuloDelivery,
         sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          //$('#tablaResultado').DataTable( {
          //  fixedHeader: false,
          //  scrollY:'60vh',
          //  scrollX: true,
          //  bAutoWidth: true,
          //  ordering: false,
          //  paging: false,
          //  dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel", },
                          {extend: 'pdfHtml5', text: "PDF", },
                          {extend: 'copyHtml5', text: "Copiar", },
                          {extend: 'print', text: "Imprimir", },
                        ]}
                     ]*/
          //});
          //$("div.tituloresultado").html('<span class="" id="lblTitulo">Comprobantes Detallados por Fecha</span>');     
          // $('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          //$('.dataTables_scrollHead').on('scroll', function () {
          //  $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          //});        
          //$('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          //$('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

consVentasComprobantesLocal
function consVentasComprobantesLocal() {
  if (controlarVentas()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodos();
    if ($('#ModuloMesasChk').is(':checked')) {
      xModuloMesas = 1; 
    }
    else {
      xModuloMesas = 0;
    }
    if ($('#ModuloMostradorChk').is(':checked')) {
      xModuloMostrador = 1; 
    }  
    else {
      xModuloMostrador = 0;
    }
    if ($('#ModuloDeliveryChk').is(':checked')) {
      xModuloDelivery = 1;  
    } 
    else {
      xModuloDelivery = 0;
    }

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-ventas-cons-comprobantes-local.php',
      type: 'POST',
      data: {xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosVenta').val()),
             xRubros          : $.trim($('#listaRubrosVenta').val()),
             xComprobantes    : $.trim($('#listaComprobantesVenta').val()),
             xTurno           : $('#xTurno').val(),
             //xUnidadMedida    : $('#xUnidadMedida').val(),
             //xUnidadMedidaDes : $('#xUnidadMedida option:selected').text(),
             xModuloMesas     : xModuloMesas,
             xModuloMostrador : xModuloMostrador,
             xModuloDelivery  : xModuloDelivery,
         sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
           fixedHeader: false,
            scrollY:'60vh',
            scrollX: true,
            bAutoWidth: true,
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel", },
                          {extend: 'pdfHtml5', text: "PDF", },
                          {extend: 'copyHtml5', text: "Copiar", },
                          {extend: 'print', text: "Imprimir", },
                        ]}
                     ]*/
          });
          $("div.tituloresultado").html('<span class="" id="lblTitulo">Comprobantes por Unidad de Negocio</span>');     
          // $('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        
          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

consVentasComprobantesDetalladosLocal
function consVentasComprobantesDetalladosLocal() {
  if (controlarVentas()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodos();
    if ($('#ModuloMesasChk').is(':checked')) {
      xModuloMesas = 1; 
    }
    else {
      xModuloMesas = 0;
    }
    if ($('#ModuloMostradorChk').is(':checked')) {
      xModuloMostrador = 1; 
    }  
    else {
      xModuloMostrador = 0;
    }
    if ($('#ModuloDeliveryChk').is(':checked')) {
      xModuloDelivery = 1;  
    } 
    else {
      xModuloDelivery = 0;
    }

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-ventas-cons-comprobantes-detallados-local.php',
      type: 'POST',
      data: {xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosVenta').val()),
             xRubros          : $.trim($('#listaRubrosVenta').val()),
             xComprobantes    : $.trim($('#listaComprobantesVenta').val()),
             xTurno           : $('#xTurno').val(),
             xUnidadMedida    : $('#xUnidadMedida').val(),
             xUnidadMedidaDes : $('#xUnidadMedida option:selected').text(),
             xModuloMesas     : xModuloMesas,
             xModuloMostrador : xModuloMostrador,
             xModuloDelivery  : xModuloDelivery,
         sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          //$('#tablaResultado').DataTable( {
          //  fixedHeader: false,
          //  scrollY:'60vh',
          //  scrollX: true,
          //  bAutoWidth: true,
          //  ordering: false,
          //  paging: false,
          //  dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel", },
                          {extend: 'pdfHtml5', text: "PDF", },
                          {extend: 'copyHtml5', text: "Copiar", },
                          {extend: 'print', text: "Imprimir", },
                        ]}
                     ]*/
          //});
          //$("div.tituloresultado").html('<span class="" id="lblTitulo">Comprobantes Detallados por Fecha</span>');     
          // $('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          //$('.dataTables_scrollHead').on('scroll', function () {
          //  $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          //});        
          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

function verResultado() {
  $('#conteFiltro').hide();
  $('#conteResultado').show();
  $('#btnVerResultado').hide();
  $('#btnVerFiltros').show();
  $('#btnConsultas').hide();
  $('#btnConsultar').hide();
  $('#btnTitulo').show();
  $('#btnLimpiarTodo').hide();
  $('#conteGuardar').show();
}

function verFiltros() {
  $('#conteFiltro').show();
  $('#conteResultado').hide();
  $('#btnVerResultado').show();
  $('#btnVerFiltros').hide();
  $('#btnConsultas').show();
  $('#btnConsultar').show();
  $('#btnTitulo').hide();
  $('#btnLimpiarTodo').show();
  $('#conteGuardar').hide();
}

function toExcel() {
  $("#tablaResultado").excelexportjs({
    containerid: "tablaResultado",
    datatype: 'table',
    locale: 'es-AR'

  });
}